## START: Set by rpmautospec
## (rpmautospec version 0.3.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           materia-kde
Version:        20220823
Release:        %autorelease
Summary:        Port of the popular GTK theme Materia for the Plasma 5 desktop

License:        GPL-3.0-only
URL:            https://github.com/PapirusDevelopmentTeam/materia-kde
Source0:        %url/archive/%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  make
Recommends:     %{name}-kvantum
Recommends:     %{name}-decorations
Recommends:     %{name}-konsole
Recommends:     %{name}-wallpapers
Recommends:     %{name}-yakuake
Recommends:     papirus-icon-theme

%description
This is a port of the popular GTK theme Materia for Plasma 5 desktop with a few
additions and extras.

In this package you'll find:

 - Aurorae Themes
 - Konsole Color Schemes
 - Kvantum Themes
 - Plasma Color Schemes
 - Plasma Desktop Themes
 - Plasma Look-and-Feel Settings
 - Wallpapers
 - Yakuake Skins

%package decorations
Summary:    Materia-KDE Aurorae theme

%description decorations
This is a port of the popular GTK theme Materia for Plasma 5 desktop with a few
additions and extras.

This package contains the Aurorae window decorations.

%package konsole
Summary:    Materia-KDE Konsole theme

%description konsole
This is a port of the popular GTK theme Materia for Plasma 5 desktop with a few
additions and extras.

This package contains the MateriaDark Konsole theme.

%package kvantum
Summary:    Materia-KDE Kvantum theme
Requires:   kvantum

%description kvantum
This is a port of the popular GTK theme Materia for Plasma 5 desktop with a few
additions and extras.

This package contains the MateriaDark and MateriaLight Kvantum theme.

%package sddm
Summary:    Materia-KDE SDDM theme
Requires:   sddm

%description sddm
This is a port of the popular GTK theme Materia for Plasma 5 desktop with a few
additions and extras.

This package contains the MateriaDark and Materia SDDM theme.

%package wallpapers
Summary:    Materia-KDE wallpapers

%description wallpapers
This is a port of the popular GTK theme Materia for Plasma 5 desktop with a few
additions and extras.

This package contains the Materia wallpapers.

%package yakuake
Summary:    Materia-KDE Yakuake theme

%description yakuake
This is a port of the popular GTK theme Materia for Plasma 5 desktop with a few
additions and extras.

This package contains the Yakuake theme.

%prep
%autosetup

%build
# Nothing to build

%install
%make_install

%files
%license LICENSE
%doc README.md
%{_datadir}/color-schemes/*.colors
%{_datadir}/plasma/desktoptheme/Materia
%{_datadir}/plasma/desktoptheme/Materia-Color
%{_datadir}/plasma/look-and-feel/com.github.varlesh.materia
%{_datadir}/plasma/look-and-feel/com.github.varlesh.materia-dark
%{_datadir}/plasma/look-and-feel/com.github.varlesh.materia-light

%files decorations
%license LICENSE
%{_datadir}/aurorae/themes/Materia
%{_datadir}/aurorae/themes/Materia-Dark
%{_datadir}/aurorae/themes/Materia-Light

%files konsole
%license LICENSE
%{_datadir}/konsole/*.colorscheme

%files kvantum
%license LICENSE
%{_datadir}/Kvantum/Materia
%{_datadir}/Kvantum/MateriaDark
%{_datadir}/Kvantum/MateriaLight

%files sddm
%license LICENSE
%{_datadir}/sddm/themes/materia
%{_datadir}/sddm/themes/materia-dark
%{_datadir}/sddm/themes/materia-light

%files wallpapers
%license LICENSE
%{_datadir}/wallpapers/Materia
%{_datadir}/wallpapers/Materia-Dark

%files yakuake
%license LICENSE
%{_datadir}/yakuake/skins/materia-dark
%{_datadir}/yakuake/skins/materia-light

%changelog
* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 20220823-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sun Oct 23 2022 Robert-André Mauchin <zebob.m@gmail.com> - 20220823-1
- Update to 20220823

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 20220714-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Jul 16 2022 Robert-André Mauchin <zebob.m@gmail.com> - 20220714-1
- Update to 20220714 - Close: rhbz#2107483

* Sun Jul 03 2022 Robert-André Mauchin <zebob.m@gmail.com> - 20220607-1
- Update to 20220607 - Close: rhbz#2051989

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 20211226-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Dec 28 2021 Robert-André Mauchin <zebob.m@gmail.com> - 20211226-1
- Update to 20211226 Close: rhbz#2035710

* Fri Dec 17 2021 Robert-André Mauchin <zebob.m@gmail.com> - 20211123-1
- Update to 20211123 Close: rhbz#1993642

* Sun Jul 25 2021 Robert-André Mauchin <zebob.m@gmail.com> - 20210722-1
- Update to 20210722 Close: rhbz#1971156

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 20210410-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon May 24 09:49:27 CEST 2021 Robert-André Mauchin <zebob.m@gmail.com> - 20210410-1
- Update to 20210410
- Close: rhbz#1963673

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 20201222-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Jan  1 21:01:18 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 20201222-1
- Initial release

